;;; SunnyDay-LCD.el Color-Mate standard definition for note PC -*-emacs-lisp-*-

;; Copyright (C) HIROSHI Yokota

;; Author: Hiroshi Yokota <y5t0964@students.chiba-u.ac.jp>
;; Maintainer: Hiroshi Yokota <y5t0964@students.chiba-u.ac.jp>
;; Version: 9.3
;; Keywords: color color-mate theme
;; Content-Type: text/plain; charset=x-euc-jp

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;   Color-Mate  Ver.9.3
;;         by $B2#ED(B $BM5;W(B (y5t0964@students.chiba-u.ac.jp)
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;   Coloring mule/emacs/xemacs to more easier and more fun.
;;   mule / emacs / xemacs $B$G!"?'$r;HMQ$7$F8+$d$9$$2hLL$K$7$^$9!#(B
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;; This file is part of Color-Mate

;; $Id: SunnyDay-LCD.el,v 1.3 1998/10/06 03:58:45 elca Exp $

(require 'assoc)

(setq color-mate:theme
      '(
	(frame-background-color .          "AntiqueWhite")
	;(frame-foreground-color .         "black")
	(frame-height . 30)
	;(frame-width . 80)
	(modeline-background-color . "green4")
	(modeline-foreground-color . "white")
	;(modeline-underlined . nil)
	(modeline-buffer-id-foreground-color . "cyan2")
	(modeline-mousable-foreground-color . "pink")
	(modeline-mousable-minor-mode-foreground-color . "palegreen")
	;(region-underlined . nil)
	(region-background-color . "gray80")
	(region-foreground-color . "navy")
	(cursor-color . "navy")
	(mouse-color . "red")
	;(menu-bar-lines . 1)
	;(font . "default-fontset")
	;(line-space . "1+1")
	))

;; for mule
(if (boundp 'MULE)
    (aput 'color-mate:theme 'font "14"))

;; for Emacs20
(if (and (>= (string-to-int emacs-version) 20)
	 (not (string-match "XEmacs" emacs-version)))
    (aput 'color-mate:theme 'font "fontset-14"))

;; for XEmacs20
(if (and (>= (string-to-int emacs-version) 20)
	 (string-match "XEmacs" emacs-version))
    (aput 'color-mate:theme 'font
	  '("-misc-*-medium-r-normal-*-14-*-*-*-*-*-iso8859-1"
	    "-*-fixed-medium-r-*--14-*-jisx0201.1976-*"
	    "-*-fixed-medium-r-*--14-*-jisx0208.1983-*"
	    "-*-fixed-medium-r-*--14-*-jisx0201*-*")))

;; for "Mule for Windows"
;(if (eq window-system 'win32)
;    (aput 'color-mate:theme 'font "default"))

;;; SunnyDay-LCD.el ends here
